# Update GitMetadata for Remote Pipelines

Update git-metadata in remote pipeline

Endpoint: PUT /v1/orgs/{org}/projects/{project}/pipelines/{pipeline}/git-metadata
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Organization identifier

  - `project` (string, required)
    Project identifier

  - `pipeline` (string, required)
    Pipeline identifier

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `connector_ref` (string)
    Harness connector id used for entity CRUD operations

  - `repo_name` (string)
    Name of the repository.

  - `file_path` (string)
    File path of the entity in the repository.

## Response 200 fields (application/json):

  - `entity_identifier` (string)
    identifier of updated entity


